Skip to content

Version

This page documents endpoints that return platform version information.

GET /api/version/

Returns the current platform versions. This is a global endpoint accessible via any tenant domain.

Permissions

Public access

Request example

  • Headers
Content-Type: application/json

Response

KeyTypeNotes
versionstringversion from git describe or related file.
version_historystringversion from git describe or related file.
  • Successful status 200 OK
  • Response body schema:
json
{
    "version": <string>,
    "version_history": <string>
}

GET /api/version/ (Admin Portal API — cluster-specific)

Returns the versions of all components installed on a specific cluster and namespace. The target cluster and namespace are identified by the domain used to make the request.

Each active Catalyst instance is deployed under a unique domain in the format:

<namespace>.<cluster>.<domain>

For example: catalyst-vnext-be.iac-eu-west-1-0.autologyx.com

For the list of deployed Catalyst instances, see clientvalue.autologyx.com.

Permissions

Requires a valid Admin Portal API Key sent in the X-API-Key HTTP header over HTTPS.

Request example

  • Headers
Content-Type: application/json
X-API-Key: <key>

Response

KeyTypeNotes
version_uistringVersion of the UI component installed.
versionstringVersion of the API component installed.
version_historystringVersion of the History component installed.
  • Successful status 200 OK
  • Response body schema:
json
{
    "version_ui": "<string>",
    "version_api": "<string>",
    "version_history": "<string>"
}

Errors

ErrorStatus codeNotes
Unauthorized401 UnauthorizedStandard message
Incorrect API Key403 ForbiddenStandard message